<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

class ScopeApiController extends ApiController
{
    protected function customizeQuery(string $action, Request $request, $query): void
    {
        if ('_index' === $action) {
            $query->andWhere($query->expr()->eq('e.active', "'TRUE'"));
        }
    }
}
